R.NET.FSharp 1.9.0

A .NET interoperability library to access the R statistical language runtime from .NET languages. The library is designed for fast data exchange, in process.

Install-Package R.NET.FSharp -Version 1.9.0
dotnet add package R.NET.FSharp --version 1.9.0
<PackageReference Include="R.NET.FSharp" Version="1.9.0" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add R.NET.FSharp --version 1.9.0
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

1.9.0

  • R.NET can run on all recent R versions from 3.4 onwards, including adjustments for R 4.0.x. While not extensively tested, any of the R 3.X releases should be supported. Note that on Linux only 3.5.y is supported due to a difficulty in detecting R versions on that OS.
  • Workaround: The R engine overrides PATH and R_HOME if a .Renviron file is present, at least on on Windows. This led to Default 'stats' package functions fail to load
  • Change on windows: if several versions of R are installed and registered in the windows registry, the most recent is the default R engine loaded.
  • Contributions by Luke Rasmussen and Kieren Johnstone are gratefully acknowledged

1.9.0

  • R.NET can run on all recent R versions from 3.4 onwards, including adjustments for R 4.0.x. While not extensively tested, any of the R 3.X releases should be supported. Note that on Linux only 3.5.y is supported due to a difficulty in detecting R versions on that OS.
  • Workaround: The R engine overrides PATH and R_HOME if a .Renviron file is present, at least on on Windows. This led to Default 'stats' package functions fail to load
  • Change on windows: if several versions of R are installed and registered in the windows registry, the most recent is the default R engine loaded.
  • Contributions by Luke Rasmussen and Kieren Johnstone are gratefully acknowledged

Release Notes

Fix an issue with character columns in data frames, that occured for 3.5+ versions of R

NuGet packages (2)

Showing the top 2 NuGet packages that depend on R.NET.FSharp:

Package Downloads
R.NET.Community.FSharp
Transitional package, you can remove and directly use nuget package ID R.NET.FSharp
RDotNet.FSharp
Transitional package, you can remove and directly use nuget package ID R.NET.FSharp

GitHub repositories

This package is not used by any popular GitHub repositories.

Version History

Version Downloads Last updated
1.9.0 42 10/4/2020
1.8.2 362 5/20/2019
1.8.1 182 5/4/2019
1.8.0 179 5/4/2019
1.8.0-alpha2 155 5/4/2019
1.8.0-alpha 242 4/22/2019
1.7.0 3,509 8/29/2017